package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.dto.ScaleContentDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.vo.QuestionPageVO;

import java.util.List;

/**
 * <p>
 * 量表内容表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
public interface ScaleContentService extends IService<ScaleContent> {

    /**
     * 获取标签列表
     *
     * @param questionPageVO
     * @return
     */
    IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO);


    /**
     * 返回量表内容
     *
     * @param scaleId
     * @return
     */
    public List<ScaleContentDTO> getByParam(Long scaleId);
}
